Class | Bio::DDBJ::XML::RequestManager::REST
In: | lib/bio/io/ddbjxml.rb
Parent: | Object

RequestManager using DDBJ REST interface

### Methods

getAsyncResult

### Constants

Uri | = | 'http://xml.nig.ac.jp/rest/Invoke'
Service | = | 'RequestManager'

### Public Instance methods

getAsyncResult(requestId)

[Source]

         # File lib/bio/io/ddbjxml.rb, line 366
    366:       def getAsyncResult(requestId)
    367:         params = {
    368:           'service'   => Service,
    369:           'method'    => 'getAsyncResult',
    370:           'requestId' => requestId.to_s
    371:         }
    372:         r = Bio::Command.post_form(Uri, params)
    373:         r.body
    374:       end

[Validate]